#ifndef SCIQLOP_ACQUISITIONUTILS_H
#define SCIQLOP_ACQUISITIONUTILS_H

#include "CoreGlobal.h"

#include <QLoggingCategory>

Q_DECLARE_LOGGING_CATEGORY(LOG_AcquisitionUtils)

class SqpRange;

/**
 * Possible types of zoom operation
 */
enum class AcquisitionZoomType { ZoomOut, ZoomIn, PanRight, PanLeft, Unknown };

struct SCIQLOP_CORE_EXPORT AcquisitionUtils {
    /**
     * Returns the zoom operation which results from the two ranges passed in parameters
     * @param range the range after operation
     * @param oldRange the range before operation
     * @return the operation type
     */
    static AcquisitionZoomType getZoomType(const SqpRange &range, const SqpRange &oldRange);
};

#endif // SCIQLOP_ACQUISITIONUTILS_H
